<?php

// Exit if accessed directly
if ( !defined('ABSPATH') ) exit;

/**
 * 404 Template
 *
 * The 404 template is used when a reader visits an invalid URL on your site. By default, the template will 
 * display a generic message.
 *
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 */

@header( 'HTTP/1.1 404 Not found', true, 404 );

get_header(); ?>

	<?php do_action( 'mantel_content_before' ); ?>

		<div id="primary" class="content-area has-sidebar">

			<?php do_action( 'mantel_content_open' ); ?>

				<div id="content" class="site-content hfeed" role="main">

					<article id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class( 'post-standard' ); ?>">

						<header class="entry-header">
							<h1 class="entry-title"><?php _e( 'Oops! That page can&rsquo;t be found.', 'mantel' ); ?></h1>
						</header>

						<div class="entry-content-404">
							
							<p><?php _e( "The following is a list of the latest posts from the blog. Maybe it will help you find what you're looking for.", 'mantel' ); ?></p>

							<ul>
								<?php wp_get_archives( array( 'limit' => 10, 'type' => 'postbypost' ) ); ?>
							</ul>

						</div><!-- .entry-content -->

					</article><!-- #post-<?php the_ID(); ?> -->

				</div><!-- #content .content -->

			<?php do_action( 'mantel_content_close' ); ?>

		</div><!-- #primary .site-content .has-sidebar -->

	<?php do_action( 'mantel_content_after' ); ?>

<?php get_footer(); ?>