<?php

// Exit if accessed directly
if ( !defined('ABSPATH') ) exit;

/**
 * Premium upgrade
 *
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 *
 */

/**
 * Add the premium upgrade info to the admin menu.
 *
 * @since 1.0
 */
add_action( 'admin_menu', 'mantel_premium_upgrade' );
function mantel_premium_upgrade() {

	add_theme_page(
		__( 'Premium Upgrade', 'mantel' ),
		__( 'Premium Upgrade', 'mantel' ), 
		'edit_theme_options',
		'mantel-premium-upgrade',
		'mantel_render_premium_info'
	);

}

/**
 * Render the premium page
 *
 * @since 1.0
 */
function mantel_render_premium_info() {
	?>

	<div class="wrap mantel-upgrade">

		<h2><?php esc_html_e( 'Upgrade to mantel Pro', 'mantel' ); ?></h2>

		<p><?php esc_html_e( 'You are using the lite version of mantel Theme. If you\'ve enjoyed using it, you\'ll going to love mantel Pro. Upgrade to Pro and you will get more awesome features.', 'mantel' ); ?></p>

		<p>
			<a class="button button-primary button-hero" href="<?php echo esc_url( 'http://tokokoo.com/portfolio/mantel-woocommerce-themes/' ); ?>" target="_blank"><?php _e( 'Buy mantel Pro now!', 'mantel' ); ?></a>
		</p>

		<img src="<?php echo get_template_directory_uri() . '/img/mantel.jpg' ?>">

		<p>
			<a class="button button-primary button-hero" href="<?php echo esc_url( 'http://tokokoo.com/portfolio/mantel-woocommerce-themes/' ); ?>" target="_blank"><?php _e( 'Buy mantel Pro now!', 'mantel' ); ?></a>
		</p>

	</div>

	<?php
}
?>