<?php

// Exit if accessed directly
if ( !defined('ABSPATH') ) exit;

/**
 * Content Gallery Template
 *
 * The template used for displaying the post format gallery
 * 
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 *
 */

do_action( 'mantel_entry_before' ); ?>

	<article id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class( 'post-standard' ); ?>">
		
		<?php do_action( 'mantel_entry_open' ); ?>
		
			<header class="entry-header">
				<?php echo apply_atomic_shortcode( 'entry_title', '[entry-title]' ); ?>
			</header>

			<div class="format-content">
				
				<?php 
					$args = array(
						'order'          => 'ASC',
						'post_type'      => 'attachment',
						'post_parent'    => $post->ID,
						'post_mime_type' => 'image',
						'post_status'    => null,
						'numberposts'    => -1,
					);
					$attachments = get_posts($args);
					$layout = theme_layouts_get_layout();

					if ( $attachments ) { ?>

						<ul class="rslides">

						<?php foreach ( $attachments as $attachment ) { ?>

							<li>
								<?php 
								if( 'layout-1c-full' == $layout )
									echo wp_get_attachment_image( $attachment->ID, 'Mantel_Featured', false, false );
								else
									echo wp_get_attachment_image( $attachment->ID, 'Mantel_Format_Gallery', false, false );
								?>
							</li>

						<?php } ?>

						</ul>

					<?php 
					}
				?>

			</div>
			
			<?php if ( is_singular() ) { ?>

				<div class="content-detail clearfix">
					
					<?php echo apply_atomic_shortcode( 'byline', '<div class="byline">' . __( '[entry-published] [entry-comments-link] [entry-author] [entry-terms taxonomy="category" separator=""] [entry-terms separator=""]', 'mantel' ) . '</div>' ); ?>
			
					<div class="entry-content">
						<?php the_content(); ?>
						<?php wp_link_pages( array( 'before' => '<p class="page-links">' . __( 'Pages:', 'mantel' ), 'after' => '</p>' ) ); ?>
					</div><!-- .entry-summary -->

				</div><!-- .content-detail -->
				
			<?php } else { ?>
			
				<div class="content-detail clearfix">
					
					<?php echo apply_atomic_shortcode( 'byline', '<div class="byline">' . __( '[entry-published] [entry-comments-link] [entry-author] ', 'mantel' ) . '</div>' ); ?>
			
					<div class="entry-summary">
						<?php the_excerpt(); ?>
						<?php wp_link_pages( array( 'before' => '<p class="page-links">' . __( 'Pages:', 'mantel' ), 'after' => '</p>' ) ); ?>
					</div><!-- .entry-summary -->

				</div><!-- .content-detail -->

			<?php } ?>
		
		<?php do_action( 'mantel_entry_close' ); ?>
		
	</article><!-- #article-<?php the_ID(); ?> -->

	<?php if ( is_singular() ) { ?>

		<?php mantel_author_box(); ?>

	<?php } ?>
	
<?php do_action( 'mantel_entry_after' ); ?>