<?php

// Exit if accessed directly
if ( !defined('ABSPATH') ) exit;

/**
 * Content Image Template
 *
 * The template used for displaying the post format image
 * 
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 *
 */

do_action( 'mantel_entry_before' ); ?>

	<article id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class( 'post-standard' ); ?>">
		
		<?php do_action( 'mantel_entry_open' ); ?>
		
			<header class="entry-header">
				<?php echo apply_atomic_shortcode( 'entry_title', '[entry-title]' ); ?>
			</header>

			<div class="format-content">
				<?php
				$layout = theme_layouts_get_layout();

				if ( current_theme_supports( 'get-the-image' ) )
					if( 'layout-1c-full' == $layout )
						get_the_image( array( 'meta_key' => 'Thumbnail', 'size' => 'Mantel_Featured' ) );
					else
						get_the_image( array( 'meta_key' => 'Thumbnail', 'size' => 'Mantel_Format_Image' ) );
				?>
			</div>
			
			<?php if ( is_singular() ) { ?>

				<div class="content-detail clearfix">
					
					<?php echo apply_atomic_shortcode( 'byline', '<div class="byline">' . __( '[entry-published] [entry-comments-link] [entry-author] [entry-terms taxonomy="category" separator=""] [entry-terms separator=""]', 'mantel' ) . '</div>' ); ?>
			
					<div class="entry-content">
						<?php the_content(); ?>
						<?php wp_link_pages( array( 'before' => '<p class="page-links">' . __( 'Pages:', 'mantel' ), 'after' => '</p>' ) ); ?>
					</div><!-- .entry-summary -->

				</div><!-- .content-detail -->
				
			<?php } else { ?>
			
				<div class="content-detail clearfix">
					
					<?php echo apply_atomic_shortcode( 'byline', '<div class="byline">' . __( '[entry-published] [entry-comments-link] [entry-author] ', 'mantel' ) . '</div>' ); ?>
			
					<div class="entry-summary">
						<?php the_excerpt(); ?>
						<?php wp_link_pages( array( 'before' => '<p class="page-links">' . __( 'Pages:', 'mantel' ), 'after' => '</p>' ) ); ?>
					</div><!-- .entry-summary -->

				</div><!-- .content-detail -->

			<?php } ?>
		
		<?php do_action( 'mantel_entry_close' ); ?>
		
	</article><!-- #article-<?php the_ID(); ?> -->

	<?php if ( is_singular() ) { ?>

		<?php mantel_author_box(); ?>

	<?php } ?>
	
<?php do_action( 'mantel_entry_after' ); ?>