<?php

// Exit if accessed directly
if ( !defined('ABSPATH') ) exit;

/**
 * Page Content Template
 *
 * Template used to show the content of posts with the 'page' post type.
 * 
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 *
 */

do_action( 'mantel_entry_before' ); ?>

	<article id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class( 'page-standard' ); ?>">

		<?php do_action( 'mantel_entry_open' ); ?>

			<header class="entry-header">
				<?php echo apply_atomic_shortcode( 'entry_title', '[entry-title]' ); ?>
			</header>

			<div class="entry-content">
				<?php the_content(); ?>
				<?php wp_link_pages( array( 'before' => '<p class="page-links">' . __( 'Pages:', 'mantel' ), 'after' => '</p>' ) ); ?>
			</div><!-- .entry-content -->

		<?php do_action( 'mantel_entry_close' ); ?>

	</article><!-- #article-<?php the_ID(); ?> -->

<?php do_action( 'mantel_entry_after' ); ?>
