<?php

// Exit if accessed directly
if ( !defined('ABSPATH') ) exit;

/**
 * Sticky post slideshow
 *
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 *
 */

$sticky = get_option( 'sticky_posts' );

if ( count( $sticky) > 1 && is_home() && !is_paged() ) :

	global $post;

	$args = array(
		'post__in' => $sticky
	);

	$slides = get_posts( $args ); ?>

	<div id="featured-blog" class="blog-slides slides">
		
		<div id="iview">

			<?php foreach( $slides as $post ) : setup_postdata( $post ); ?>
	
				<?php 
					if ( current_theme_supports( 'get-the-image' ) && has_post_thumbnail() ) :
						$image = get_the_image( array( 'meta_key' => 'Thumbnail', 'size' => 'Mantel_Featured', 'format' => 'array' ) );
					else :
						$image['src'] = get_template_directory_uri() . '/img/no-thumbnail.png';
					endif;
				 ?>
				<article id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class( 'post-standard' ); ?>" data-iview:image="<?php echo esc_url( $image['src'] ); ?>">

					<div class="iview-caption caption1" data-x="50" data-y="320" data-transition="wipeRight">
						<h2 class="entry-title"><a href="<?php esc_url( the_permalink() ); ?>" title="<?php esc_attr_e( the_title() ); ?>"><?php esc_attr( the_title() ); ?></a></h2>
					</div>

				</article><!-- #article-<?php the_ID(); ?> -->

			<?php endforeach; wp_reset_postdata(); ?>

		</div><!-- #iview -->

	</div><!-- #featured-blog .blog-slides .slides -->

<?php endif; ?>