<?php

// Exit if accessed directly
if ( !defined('ABSPATH') ) exit;

/**
 * Footer Template
 *
 * Contains the closing of the id=main div, footer widgets.
 *
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 */
?>
			<?php get_sidebar( 'primary' ); // Loads the sidebar-primary.php template. ?>

			<?php do_action( 'mantel_main_close' ); ?>

		</div><!-- .blocks -->

	</div><!-- #main .site-main -->
	
	<?php do_action( 'mantel_main_after' ); ?>

	<footer id="colophon" class="site-footer cutline" role="contentinfo">
		
		<div class="blocks">

			<?php get_sidebar( 'subsidiary' ); // Loads the sidebar-subsidiary.php template. ?>

		</div><!-- .blocks -->

	</footer><!-- #colophon .site-footer .cutline -->

	<div class="last-content cutline">

		<div class="blocks">
		
			<div class="site-credits">

				<p>
					<?php echo apply_atomic_shortcode( 'footer_content', '<span class="footer-content">' . hybrid_get_setting( 'footer_insert' ) . '</span>' ); ?>
					<?php printf( __( ' - Theme by <a href="%1$s" title="%2$s" rel="designer">%3$s</a>', 'mantel' ),
							esc_url( 'http://tokokoo.com' ),
							esc_attr( 'Tokokoo' ),
							esc_attr( 'Tokokoo' )
						);
					?>
				</p>
				
			</div><!-- .site-credits -->

			<?php get_template_part( 'menu', 'subsidiary' ); // Loads the menu-subsidiary.php template. ?>

		</div><!-- .blocks -->

	</div><!-- .last-content -->

</div><!-- #page .site -->
	
	<?php wp_footer(); ?>

</body>
</html>