<?php

// Exit if accessed directly
if ( !defined('ABSPATH') ) exit;

/**
 * Header Template Part
 * 
 * Template part file that contains the HTML document head and 
 * opening HTML body elements, as well as the site header.
 *
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 *
 */
?>
<!DOCTYPE html>
<!--[if IE 8]>    <html class="no-js ie8 oldie" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 9]>    <html class="no-js ie9" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 9]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head>

<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

<title><?php hybrid_document_title(); ?></title>

<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>

</head>

<body class="<?php hybrid_body_class(); ?>">

	<?php do_action( 'mantel_body_open' ); ?>
	
	<div id="page" class="site">
		
		<?php do_action( 'mantel_header_before' ); ?>
		
			<header id="masthead" class="site-header" role="banner">
				
				<?php do_action( 'mantel_header_open' ); ?>
				
					<div class="blocks">
						
							<div class="header">
							
								<?php mantel_site_title(); ?>								
								
							</div><!-- .header -->
							
							<?php do_action( 'mantel_header' ); ?>
						
					</div><!-- .blocks -->
				
				<?php do_action( 'mantel_header_close' ); ?>
				
			</header><!-- #masthead .site-header -->
			
		<?php do_action( 'mantel_header_after' ); ?>
		
		<?php if ( ! is_page_template( 'page-templates/landing.php' ) ) get_template_part( 'menu', 'primary' ); // Loads the menu-primary.php template. ?>
		
		<?php do_action( 'mantel_main_before' ); ?>

		<div id="main" class="site-main cutline">

			<div class="blocks">

			<?php do_action( 'mantel_main_open' ); ?>