<?php

// Exit if accessed directly
if ( !defined('ABSPATH') ) exit;

/**
 * Index Template
 * 
 * This is the default template. It is used when a more specific template can't be found to display
 * posts.
 *
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 *
 */
 get_header(); ?>
 
 	<?php do_action( 'mantel_content_before' ); ?>
 		
 		<?php get_template_part( 'content', 'slides' ); // load the content-slides.php ?>
 		
 		<div id="primary" class="content-area has-sidebar">
 			
 			<?php do_action( 'mantel_content_open' ); ?>
 			
 				<div id="content" class="site-content hfeed" role="main">
 					
 					<?php if ( have_posts() ) : ?>

 						<?php while ( have_posts() ) : the_post(); ?>

 							<?php get_template_part( 'content', ( post_type_supports( get_post_type(), 'post-formats' ) ? get_post_format() : get_post_type() ) ); ?>

 							<?php if ( is_singular() ) { ?>

 								<?php do_action( 'mantel_singular_after' ); ?>

 								<?php if ( comments_open() ) comments_template( '/comments.php', true ); // Loads the comments.php template. ?>

 							<?php } ?>

 						<?php endwhile; ?>

 					<?php elseif ( current_user_can( 'edit_posts' ) ) : ?>

 						<?php get_template_part( 'no-results' ); ?>

 					<?php endif; ?>
 					
 				</div><!-- #content .site-content -->
 			
 			<?php do_action( 'mantel_content_close' ); ?>
 			
 			<?php get_template_part( 'loop', 'nav' ); // Loads the loop-nav.php template. ?>
 			
 		</div><!-- #primary .content-area -->
 		
 	<?php do_action( 'mantel_content_after' ); ?>
 
<?php get_footer(); ?>