<?php

// Exit if accessed directly
if ( !defined('ABSPATH') ) exit;

/**
 * Primary Menu Template
 *
 * Displays the Primary Menu if it has active menu items.
 *
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 */

if ( has_nav_menu( 'primary' ) ) : ?>

	<?php do_action( 'mantel_menu_primary_before' ); ?>

	<nav class="site-menu primary-menu cutline" role="navigation">

		<div class="blocks">

			<div class="block-inside">

				<div class="nav-item">

					<?php do_action( 'mantel_menu_primary_open' ); ?>

					<a class="menu-toggle" href="#"><?php _e( 'Toggle', 'mantel' ); ?></a>

					<?php wp_nav_menu( array( 'theme_location' => 'primary', 'container_class' => '', 'menu_class' => 'clearfix', 'menu_id' => '', 'fallback_cb' => '' ) ); ?>

					<?php do_action( 'mantel_menu_primary_close' ); ?>

				</div><!-- .menu-item -->

				<?php get_search_form(); // Loads the searchform.php template. ?>

				<div class="clearfix"></div>

			</div><!-- block-inside -->

		</div><!-- .blocks -->

	</nav><!-- .site-menu .primary-menu .cutline -->

	<?php do_action( 'mantel_menu_primary_after' ); ?>

<?php endif; ?>