<?php

// Exit if accessed directly
if ( !defined('ABSPATH') ) exit;

/**
 * The template part for displaying a message that posts cannot be found.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 * 
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 *
 */
?>

	<article id="post-0" class="<?php hybrid_entry_class( 'post-standard' ); ?>">

		<header class="entry-header">
			<h1 class="entry-title"><?php _e( 'Nothing Found', 'mantel' ); ?></h1>
		</header><!-- .entry-header -->

		<div class="entry-content">

			<?php if ( is_home() ) { ?>

				<p><?php printf( __( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'mantel' ), admin_url( 'post-new.php' ) ); ?></p>

			<?php } elseif ( is_search() ) { ?>

				<p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'mantel' ); ?></p>
				<?php get_search_form(); ?>

			<?php } else { ?>

				<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'mantel' ); ?></p>
				<?php get_search_form(); ?>

			<?php } ?>

		</div><!-- .entry-content -->
		
	</article><!-- #post-0 -->
