<?php

// Exit if accessed directly
if ( !defined('ABSPATH') ) exit;

/**
 * Template Name: Archives
 *
 * Description: A Page Template for displaying blog archives
 *
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 *
 */

get_header(); ?>

	<?php do_action( 'mantel_content_before' ); ?>
		
		<div id="primary" class="content-area has-sidebar">
			
			<?php do_action( 'mantel_content_open' ); ?>
			
				<div id="content" class="site-content hfeed" role="main">
					
					<?php if ( have_posts() ) : ?>

						<?php while ( have_posts() ) : the_post(); ?>

							<?php do_action( 'mantel_entry_before' ); ?>

								<article id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class( 'page-standard' ); ?>">

									<header class="entry-header">
										<?php echo apply_atomic_shortcode( 'entry_title', '[entry-title]' ); ?>
									</header>

									<div class="entry-content">

										<?php the_content(); ?>

										<div class="archive-content">
										
											<div class="archives-left">
											
												<h3><?php _e( 'By Category', 'mantel' ); ?></h3>
													<ul><?php wp_list_categories( 'depth=0&title_li=&' ); ?></ul>
													
												<h3><?php _e( 'By Monthly', 'mantel' ); ?></h3>
													<ul><?php wp_get_archives( 'type=monthly&limit=12' ); ?> </ul>
												
												<h3><?php _e( 'By Yearly', 'mantel' ); ?></h3>
													<ul><?php wp_get_archives( 'type=yearly' ); ?></ul>
													
											</div> <!-- .archives-left -->
											
											<div class="archives-right">
											
												<h3><?php _e( 'Latest Posts', 'mantel' ); ?></h3>
													<ul>  
														<?php wp_get_archives( 'type=postbypost' ); ?>
													</ul>  
													
											</div> <!-- .archives-right -->

										</div><!-- archive-content -->
										
										<?php echo apply_atomic_shortcode( 'entry_edit_link', '[entry-edit-link]' ); ?>
										
									</div><!-- .entry-content -->

								</article><!-- #article-<?php the_ID(); ?> -->

							<?php do_action( 'mantel_entry_after' ); ?>

						<?php endwhile; ?>

					<?php endif; ?>
					
				</div><!-- #content .site-content -->
			
			<?php do_action( 'mantel_content_close' ); ?>
			
		</div><!-- #primary .content-area -->
		
	<?php do_action( 'mantel_content_after' ); ?>

<?php get_footer(); ?>