<?php

// Exit if accessed directly
if ( !defined('ABSPATH') ) exit;

/**
 * Template Name: Full Width
 *
 * Description: A Page Template for displaying content in full width layout
 *
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 *
 */
get_header(); ?>

	<?php do_action( 'mantel_content_before' ); ?>

		<div id="primary" class="content-area no-sidebar">

			<?php do_action( 'mantel_content_open' ); ?>

				<div id="content" class="site-content hfeed" role="main">

					<?php if ( have_posts() ) : ?>

						<?php while ( have_posts() ) : the_post(); ?>

							<?php get_template_part( 'content', 'page' ); ?>

						<?php endwhile; ?>

					<?php elseif ( current_user_can( 'edit_posts' ) ) : ?>

						<?php get_template_part( 'no-results' ); ?>

					<?php endif; ?>

				</div><!-- #content .site-content -->

			<?php do_action( 'mantel_content_close' ); ?>

		</div><!-- #primary .content-area -->

	<?php do_action( 'mantel_content_after' ); ?>

<?php get_footer(); ?>