<?php

// Exit if accessed directly
if ( !defined('ABSPATH') ) exit;

/**
 * Template Name: Landing Page
 *
 * Description: A Page Template for displaying blog archives
 *
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 *
 */

get_header(); ?>

	<?php do_action( 'mantel_content_before' ); ?>
		
		<div id="primary" class="content-area landing">
			
			<?php do_action( 'mantel_content_open' ); ?>
			
				<div id="content" class="site-content hfeed" role="main">
					
					<?php if ( have_posts() ) : ?>

						<?php while ( have_posts() ) : the_post(); ?>

							<?php do_action( 'mantel_entry_before' ); ?>

								<article id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class( 'page-standard' ); ?>">

									<?php do_action( 'sabak_entry_open' ); ?>

										<div class="entry-content">
											<?php the_content(); ?>
											<?php echo apply_atomic_shortcode( 'entry_edit_link', '[entry-edit-link]' ); ?>
										</div><!-- .entry-content -->
									
									<?php do_action( 'sabak_entry_close' ); ?>

								</article><!-- #post-<?php the_ID(); ?> -->

							<?php do_action( 'mantel_entry_after' ); ?>

						<?php endwhile; ?>

					<?php endif; ?>
					
				</div><!-- #content .site-content -->
			
			<?php do_action( 'mantel_content_close' ); ?>
			
		</div><!-- #primary .content-area -->
		
	<?php do_action( 'mantel_content_after' ); ?>

<?php get_footer(); ?>