<?php

// Exit if accessed directly
if ( !defined('ABSPATH') ) exit;

/**
 * Search Template
 * 
 * The search template is loaded when a visitor uses the search form to search for something
 * on the site.
 *
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 *
 */
 get_header(); ?>
 
 	<?php do_action( 'mantel_content_before' ); ?>
 		
 		<div id="primary" class="content-area has-sidebar">
 			
 			<?php do_action( 'mantel_content_open' ); ?>
 			
 				<div id="content" class="site-content hfeed" role="main">
 					
 					<?php if ( have_posts() ) : ?>

 						<?php while ( have_posts() ) : the_post(); ?>

 							<?php do_action( 'mantel_entry_before' ); ?>

 								<article id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class( 'post-standard' ); ?>">
 									
 									<?php do_action( 'mantel_entry_open' ); ?>
 									
 										<header class="entry-header">
 											<?php echo apply_atomic_shortcode( 'entry_title', '[entry-title]' ); ?>
 										</header>

 										<div class="format-content">
 											<?php if ( current_theme_supports( 'get-the-image' ) ) get_the_image( array( 'meta_key' => 'Thumbnail', 'size' => 'Mantel_Format_Image' ) ); ?>
 										</div>
 										
 										<div class="content-detail clearfix">
 															
											<?php echo apply_atomic_shortcode( 'byline', '<div class="byline">' . __( '[entry-published] [entry-comments-link] [entry-author] ', 'mantel' ) . '</div>' ); ?>
									
											<div class="entry-summary">
												<?php the_excerpt(); ?>
												<?php wp_link_pages( array( 'before' => '<p class="page-links">' . __( 'Pages:', 'mantel' ), 'after' => '</p>' ) ); ?>
											</div><!-- .entry-summary -->

										</div><!-- .content-detail -->
 									
 									<?php do_action( 'mantel_entry_close' ); ?>
 									
 								</article><!-- #article-<?php the_ID(); ?> -->
 								
 							<?php do_action( 'mantel_entry_after' ); ?>

 						<?php endwhile; ?>

 					<?php elseif ( current_user_can( 'edit_posts' ) ) : ?>

 						<?php get_template_part( 'no-results' ); ?>

 					<?php endif; ?>
 					
 				</div><!-- #content .content -->
 			
 			<?php do_action( 'mantel_content_close' ); ?>
 			
 			<?php get_template_part( 'loop', 'nav' ); // Loads the loop-nav.php template. ?>
 			
 		</div><!-- #primary .site-content .has-sidebar -->
 		
 	<?php do_action( 'mantel_content_after' ); ?>
 
<?php get_footer(); ?>