<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
 * Subsidiary Sidebar Template
 *
 * Displays widgets for the Subsidiary dynamic sidebar if any have been added to the sidebar through the 
 * widgets screen in the admin by the user.  Otherwise, nothing is displayed.
 *
 * @package 	mantel
 * @author		Tokokoo
 * @license		license.txt
 * @since 		1.0
 */

if ( is_active_sidebar( 'subsidiary' ) ) : ?>

	<?php do_action( 'mantel_sidebar_subsidiary_before' ); ?>

	<div id="sidebar-subsidiary" class="sidebar sidebar-subsidiary">
		<div class="block-inner clearfix">

			<?php do_action( 'mantel_sidebar_subsidiary_open' ); ?>

				<?php dynamic_sidebar( 'subsidiary' ); ?>

			<?php do_action( 'mantel_sidebar_subsidiary_close' ); ?>

		</div><!-- .block-inner -->
	</div><!-- #sidebar-footer .footer-widget .clearfix -->

	<?php do_action( 'mantel_sidebar_subsidiary_after' ); ?>

<?php endif; ?>